package domain

import data.models.AddUserRequest
import data.repository.UserRepository
import domain.models.AuthorizeRequest
import domain.models.RegistrationRequest
import domain.models.User

class AuthUseCaseImpl(private val repository: UserRepository): AuthUseCase {
    override fun authorize(authorizeRequest: AuthorizeRequest): User {
        TODO("Not yet implemented")
    }

    override fun registration(registrationRequest: RegistrationRequest): User {
        val name = registrationRequest.name.split(' ')
        val user = AddUserRequest(
            email = registrationRequest.email,
            password = registrationRequest.password,
            firstName = name[0],
            lastName = name[1]
        )
        val result = repository.addUser(user)
        return User(
            id = result.id,
            lastName = result.lastName,
            firstName = result.firstName,
            email = result.email,
            password = result.password
        )

    }


}