package data.repository

import data.models.AddUserRequest
import data.models.User

interface UserRepository {
    fun getAllUsers(): List<User>
    fun addUser(newUser: AddUserRequest): User
    fun removeUserById(id: Int): Boolean
    fun updateUser(id:Int, newUser: User): Boolean
}