package domain

import domain.models.AuthorizeRequest
import domain.models.RegistrationRequest
import domain.models.User

interface AuthUseCase {
    fun authorize(authorizeRequest: AuthorizeRequest): User
    fun registration(registrationRequest: RegistrationRequest) : User
}